Debian Bug report logs - #680235
debirf: wheezy minimal image segfaults during boot

version graph

Package: debirf; Maintainer for debirf is Jameson Graef Rollins <jrollins@finestructure.net>; Source for debirf is src:debirf.

Reported by: Lucas Nussbaum <lucas@debian.org>

Date: Wed, 4 Jul 2012 14:42:01 UTC

Severity: grave

Tags: wheezy

Found in version debirf/0.32

Fixed in version debirf/0.33

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Wed, 04 Jul 2012 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
New Bug report received and forwarded. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Wed, 04 Jul 2012 14:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debirf: wheezy minimal image segfaults during boot
Date: Wed, 04 Jul 2012 16:40:39 +0200
Package: debirf
Version: 0.32
Severity: grave
Justification: renders package unusable

Hi,

I generate a wheezy 'minimal' image using debirf (running it as root,
since running it as normal user fails).

After generation, I try to boot it using:
kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz

During boot, I get:
[    0.419335] rtc_cmos 00:01: RTC can wake from S4
[    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
[    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
[    0.420392] cpuidle: using governor ladder
[    0.420629] cpuidle: using governor menu
[    0.420987] TCP cubic registered
[    0.421230] NET: Registered protocol family 10
[    0.423396] Mobile IPv6
[    0.423606] NET: Registered protocol family 17
[    0.423868] Registering the dns_resolver key type
[    0.424263] registered taskstats version 1
[    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
1341412203)
[    0.425109] Initializing network drop monitor service
[    0.426024] Freeing unused kernel memory: 572k freed
[    0.426406] Write protecting the kernel read-only data: 6144k
[    0.428208] Freeing unused kernel memory: 672k freed
[    0.430214] Freeing unused kernel memory: 684k freed
[    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
7f0 error 7 in sh[400000+1b3000]
Segmentation fault
unpacking rootfs...
[    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.

  Lucas

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (800, 'stable'), (300, 'unstable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages debirf depends on:
ii  apt          0.9.6
ii  cpio         2.11-8
ii  debootstrap  1.0.41
ii  fakechroot   2.16-1
ii  fakeroot     1.18.4-2
ii  klibc-utils  2.0-2

Versions of packages debirf recommends:
ii  grub-common      1.99-22.1
ii  lsb-release      4.1+Debian7
ii  syslinux-common  2:4.05+dfsg-5
ii  xorriso          1.2.2-1

debirf suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Mon, 16 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Mon, 16 Jul 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 680235@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 680235@bugs.debian.org
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Mon, 16 Jul 2012 15:18:38 +0200
On 04/07/12 at 16:40 +0200, Lucas Nussbaum wrote:
> Package: debirf
> Version: 0.32
> Severity: grave
> Justification: renders package unusable
> 
> Hi,
> 
> I generate a wheezy 'minimal' image using debirf (running it as root,
> since running it as normal user fails).
> 
> After generation, I try to boot it using:
> kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz
> 
> During boot, I get:
> [    0.419335] rtc_cmos 00:01: RTC can wake from S4
> [    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
> [    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
> [    0.420392] cpuidle: using governor ladder
> [    0.420629] cpuidle: using governor menu
> [    0.420987] TCP cubic registered
> [    0.421230] NET: Registered protocol family 10
> [    0.423396] Mobile IPv6
> [    0.423606] NET: Registered protocol family 17
> [    0.423868] Registering the dns_resolver key type
> [    0.424263] registered taskstats version 1
> [    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
> 1341412203)
> [    0.425109] Initializing network drop monitor service
> [    0.426024] Freeing unused kernel memory: 572k freed
> [    0.426406] Write protecting the kernel read-only data: 6144k
> [    0.428208] Freeing unused kernel memory: 672k freed
> [    0.430214] Freeing unused kernel memory: 684k freed
> [    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
> 7f0 error 7 in sh[400000+1b3000]
> Segmentation fault
> unpacking rootfs...
> [    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.

After more investigation, it seems to be caused by the use of fakeroot
to allow non-root builds. When building the image with
   debirf make -r minimal
              ^^^
it works fine.

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Sun, 09 Sep 2012 03:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Sun, 09 Sep 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 680235@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Lucas Nussbaum <lucas@debian.org>, 680235@bugs.debian.org
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Sat, 08 Sep 2012 23:03:58 -0400
[Message part 1 (text/plain, inline)]
Control: tags 680235 + unreproducible moreinfo

Hi Lucas--

On 07/04/2012 10:40 AM, Lucas Nussbaum wrote:
> I generate a wheezy 'minimal' image using debirf (running it as root,
> since running it as normal user fails).
> 
> After generation, I try to boot it using:
> kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz
> 
> During boot, I get:
> [    0.419335] rtc_cmos 00:01: RTC can wake from S4
> [    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
> [    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
> [    0.420392] cpuidle: using governor ladder
> [    0.420629] cpuidle: using governor menu
> [    0.420987] TCP cubic registered
> [    0.421230] NET: Registered protocol family 10
> [    0.423396] Mobile IPv6
> [    0.423606] NET: Registered protocol family 17
> [    0.423868] Registering the dns_resolver key type
> [    0.424263] registered taskstats version 1
> [    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
> 1341412203)
> [    0.425109] Initializing network drop monitor service
> [    0.426024] Freeing unused kernel memory: 572k freed
> [    0.426406] Write protecting the kernel read-only data: 6144k
> [    0.428208] Freeing unused kernel memory: 672k freed
> [    0.430214] Freeing unused kernel memory: 684k freed
> [    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
> 7f0 error 7 in sh[400000+1b3000]
> Segmentation fault
> unpacking rootfs...
> [    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.

i've been unable to reproduce this with existing versions, including
0.33 (just uploaded to unstable).  Are you able to see this on other
hardware?  do you still have the image you created available?  i'd be
happy to take a look at it and try to dissect what's happening.

	--dkg

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) unreproducible and moreinfo. Request was from Daniel Kahn Gillmor <dkg@fifthhorseman.net> to 680235-submit@bugs.debian.org. (Sun, 09 Sep 2012 03:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Mon, 10 Sep 2012 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Mon, 10 Sep 2012 13:03:05 GMT) Full text and rfc822 format available.

Message #22 received at 680235@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 680235@bugs.debian.org
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Mon, 10 Sep 2012 14:58:49 +0200
On 08/09/12 at 23:03 -0400, Daniel Kahn Gillmor wrote:
> Control: tags 680235 + unreproducible moreinfo
> 
> Hi Lucas--
> 
> On 07/04/2012 10:40 AM, Lucas Nussbaum wrote:
> > I generate a wheezy 'minimal' image using debirf (running it as root,
> > since running it as normal user fails).
> > 
> > After generation, I try to boot it using:
> > kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz
> > 
> > During boot, I get:
> > [    0.419335] rtc_cmos 00:01: RTC can wake from S4
> > [    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
> > [    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
> > [    0.420392] cpuidle: using governor ladder
> > [    0.420629] cpuidle: using governor menu
> > [    0.420987] TCP cubic registered
> > [    0.421230] NET: Registered protocol family 10
> > [    0.423396] Mobile IPv6
> > [    0.423606] NET: Registered protocol family 17
> > [    0.423868] Registering the dns_resolver key type
> > [    0.424263] registered taskstats version 1
> > [    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
> > 1341412203)
> > [    0.425109] Initializing network drop monitor service
> > [    0.426024] Freeing unused kernel memory: 572k freed
> > [    0.426406] Write protecting the kernel read-only data: 6144k
> > [    0.428208] Freeing unused kernel memory: 672k freed
> > [    0.430214] Freeing unused kernel memory: 684k freed
> > [    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
> > 7f0 error 7 in sh[400000+1b3000]
> > Segmentation fault
> > unpacking rootfs...
> > [    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.
> 
> i've been unable to reproduce this with existing versions, including
> 0.33 (just uploaded to unstable).  Are you able to see this on other
> hardware?  do you still have the image you created available?  i'd be
> happy to take a look at it and try to dissect what's happening.

Hi,

I confirm that I can still reproduce this in wheezy using debirf 0.32.

Using debirf 0.33 (only package that was updated when testing; same
machine), it works fine both using the minimal.tgz example from debirf
0.32, and the one from debirf 0.33.

I've uploaded the broken image to
http://blop.info/pub/vmlinuz-3.2.0-3-amd64
http://blop.info/pub/debirf-minimal_wheezy_3.2.0-3-amd64.cgz

To reproduce, boot with
kvm -m 512 -kernel vmlinuz-3.2.0-3-amd64 -initrd debirf-minimal_wheezy_3.2.0-3-amd64.cgz

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Sun, 30 Sep 2012 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Micah Anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Sun, 30 Sep 2012 04:03:03 GMT) Full text and rfc822 format available.

Message #27 received at 680235@bugs.debian.org (full text, mbox):

From: Micah Anderson <micah@riseup.net>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 680235@bugs.debian.org
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Sun, 30 Sep 2012 00:01:18 -0400
[Message part 1 (text/plain, inline)]
Hi Lucas,

* Lucas Nussbaum <lucas@lucas-nussbaum.net> [2012-09-30 03:43-0400]:
> On 08/09/12 at 23:03 -0400, Daniel Kahn Gillmor wrote:
> > Control: tags 680235 + unreproducible moreinfo
> > 
> > Hi Lucas--
> > 
> > On 07/04/2012 10:40 AM, Lucas Nussbaum wrote:
> > > I generate a wheezy 'minimal' image using debirf (running it as root,
> > > since running it as normal user fails).
> > > 
> > > After generation, I try to boot it using:
> > > kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz
> > > 
> > > During boot, I get:
> > > [    0.419335] rtc_cmos 00:01: RTC can wake from S4
> > > [    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
> > > [    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
> > > [    0.420392] cpuidle: using governor ladder
> > > [    0.420629] cpuidle: using governor menu
> > > [    0.420987] TCP cubic registered
> > > [    0.421230] NET: Registered protocol family 10
> > > [    0.423396] Mobile IPv6
> > > [    0.423606] NET: Registered protocol family 17
> > > [    0.423868] Registering the dns_resolver key type
> > > [    0.424263] registered taskstats version 1
> > > [    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
> > > 1341412203)
> > > [    0.425109] Initializing network drop monitor service
> > > [    0.426024] Freeing unused kernel memory: 572k freed
> > > [    0.426406] Write protecting the kernel read-only data: 6144k
> > > [    0.428208] Freeing unused kernel memory: 672k freed
> > > [    0.430214] Freeing unused kernel memory: 684k freed
> > > [    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
> > > 7f0 error 7 in sh[400000+1b3000]
> > > Segmentation fault
> > > unpacking rootfs...
> > > [    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.
> > 
> > i've been unable to reproduce this with existing versions, including
> > 0.33 (just uploaded to unstable).  Are you able to see this on other
> > hardware?  do you still have the image you created available?  i'd be
> > happy to take a look at it and try to dissect what's happening.
> 
> Hi,
> 
> I confirm that I can still reproduce this in wheezy using debirf 0.32.
> 
> Using debirf 0.33 (only package that was updated when testing; same
> machine), it works fine both using the minimal.tgz example from debirf
> 0.32, and the one from debirf 0.33.
> 
> I've uploaded the broken image to
> http://blop.info/pub/vmlinuz-3.2.0-3-amd64
> http://blop.info/pub/debirf-minimal_wheezy_3.2.0-3-amd64.cgz
> 
> To reproduce, boot with
> kvm -m 512 -kernel vmlinuz-3.2.0-3-amd64 -initrd debirf-minimal_wheezy_3.2.0-3-amd64.cgz

I just downloaded your two files and did the kvm command that you provided and I
did not get the segfault, rather it booted up to this:

    /proc/cmdline: No such file or directory

    Debian GNU/Linux wheezy/sid (none) tty1

    (none) login:

but otherwise, I do not get the segfault that you experience. The only
difference here is that I was running in Squeeze. Unfortunately, I could not
find a wheezy box with amd64 and kvm extensions. I'll ask around to see what I
can find.

micah

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Sun, 30 Sep 2012 06:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Sun, 30 Sep 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #32 received at 680235@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Micah Anderson <micah@riseup.net>
Cc: 680235@bugs.debian.org
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Sun, 30 Sep 2012 08:18:41 +0200
On 30/09/12 at 00:01 -0400, Micah Anderson wrote:
> Hi Lucas,
> 
> * Lucas Nussbaum <lucas@lucas-nussbaum.net> [2012-09-30 03:43-0400]:
> > On 08/09/12 at 23:03 -0400, Daniel Kahn Gillmor wrote:
> > > Control: tags 680235 + unreproducible moreinfo
> > > 
> > > Hi Lucas--
> > > 
> > > On 07/04/2012 10:40 AM, Lucas Nussbaum wrote:
> > > > I generate a wheezy 'minimal' image using debirf (running it as root,
> > > > since running it as normal user fails).
> > > > 
> > > > After generation, I try to boot it using:
> > > > kvm -m 512 -kernel vmlinuz-3.2.0-2-amd64 -initrd debirf-minimal_wheezy_3.2.0-2-amd64.cgz
> > > > 
> > > > During boot, I get:
> > > > [    0.419335] rtc_cmos 00:01: RTC can wake from S4
> > > > [    0.419735] rtc_cmos 00:01: rtc core: registered rtc_cmos as rtc0
> > > > [    0.420093] rtc0: alarms up to one day, 114 bytes nvram, hpet irqs
> > > > [    0.420392] cpuidle: using governor ladder
> > > > [    0.420629] cpuidle: using governor menu
> > > > [    0.420987] TCP cubic registered
> > > > [    0.421230] NET: Registered protocol family 10
> > > > [    0.423396] Mobile IPv6
> > > > [    0.423606] NET: Registered protocol family 17
> > > > [    0.423868] Registering the dns_resolver key type
> > > > [    0.424263] registered taskstats version 1
> > > > [    0.424643] rtc_cmos 00:01: setting system clock to 2012-07-04 14:30:03 UTC (
> > > > 1341412203)
> > > > [    0.425109] Initializing network drop monitor service
> > > > [    0.426024] Freeing unused kernel memory: 572k freed
> > > > [    0.426406] Write protecting the kernel read-only data: 6144k
> > > > [    0.428208] Freeing unused kernel memory: 672k freed
> > > > [    0.430214] Freeing unused kernel memory: 684k freed
> > > > [    0.432194] init[31]: segfault at 57d71c ip 000000000044104d sp 00007fff83ab1
> > > > 7f0 error 7 in sh[400000+1b3000]
> > > > Segmentation fault
> > > > unpacking rootfs...
> > > > [    1.340047] Refined TSC clocksource calibration: 2793.734 MHz.
> > > 
> > > i've been unable to reproduce this with existing versions, including
> > > 0.33 (just uploaded to unstable).  Are you able to see this on other
> > > hardware?  do you still have the image you created available?  i'd be
> > > happy to take a look at it and try to dissect what's happening.
> > 
> > Hi,
> > 
> > I confirm that I can still reproduce this in wheezy using debirf 0.32.
> > 
> > Using debirf 0.33 (only package that was updated when testing; same
> > machine), it works fine both using the minimal.tgz example from debirf
> > 0.32, and the one from debirf 0.33.
> > 
> > I've uploaded the broken image to
> > http://blop.info/pub/vmlinuz-3.2.0-3-amd64
> > http://blop.info/pub/debirf-minimal_wheezy_3.2.0-3-amd64.cgz
> > 
> > To reproduce, boot with
> > kvm -m 512 -kernel vmlinuz-3.2.0-3-amd64 -initrd debirf-minimal_wheezy_3.2.0-3-amd64.cgz
> 
> I just downloaded your two files and did the kvm command that you provided and I
> did not get the segfault, rather it booted up to this:
> 
>     /proc/cmdline: No such file or directory
> 
>     Debian GNU/Linux wheezy/sid (none) tty1
> 
>     (none) login:
> 
> but otherwise, I do not get the segfault that you experience. The only
> difference here is that I was running in Squeeze. Unfortunately, I could not
> find a wheezy box with amd64 and kvm extensions. I'll ask around to see what I
> can find.

If I remember correctly, it segfaults during boot, but then continues to
boot and still displays the login prompt. However you cannot log in.

Lucas



Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Sun, 30 Sep 2012 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to anarcat <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Sun, 30 Sep 2012 16:57:03 GMT) Full text and rfc822 format available.

Message #37 received at 680235@bugs.debian.org (full text, mbox):

From: anarcat <anarcat@anarcat.ath.cx>
To: Micah Anderson <micah@riseup.net>, 680235@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Sun, 30 Sep 2012 12:52:38 -0400
[Message part 1 (text/plain, inline)]
On Sun, Sep 30, 2012 at 12:01:18AM -0400, Micah Anderson wrote:
> I just downloaded your two files and did the kvm command that you provided and I
> did not get the segfault, rather it booted up to this:
> 
>     /proc/cmdline: No such file or directory
> 
>     Debian GNU/Linux wheezy/sid (none) tty1
> 
>     (none) login:
> 
> but otherwise, I do not get the segfault that you experience. The only
> difference here is that I was running in Squeeze. Unfortunately, I could not
> find a wheezy box with amd64 and kvm extensions. I'll ask around to see what I
> can find.

And that you did!

I downloaded the given images, and started them up with KVM:

kvm -m 512 -kernel vmlinuz-3.2.0-3-amd64 -initrd debirf-minimal_wheezy_3.2.0-3-amd64.cgz

I am running:

qemu-kvm                1.1.2+dfsg-2
linux-image-3.2.0-3-amd 3.2.23-1

This is an up to date wheezy machine.

I have rebuilt my own debirf image on wheezy too, just to make sure, so
using debirf 0.32, i did:

tar zxf /usr/share/doc/debirf/example-profiles/minimal.tgz
debirf make minimal

... as a regular user. I arrive to similar results: I do not see a
segfault, but then I can't login to the virtual machine either.

Here's a complete log from the serial console, generated with:

kvm -nographic -m 512 -kernel vmlinuz-3.2.0-3-amd64 -initrd debirf-minimal_wheezy_3.2.0-3-amd64.cgz -append console=ttyS0,115200n8 > log

A.

-- 
Jesus died for his own sins, not mine.
                        - CRASS, 1978
[log (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jameson Graef Rollins <jrollins@finestructure.net>:
Bug#680235; Package debirf. (Sun, 30 Sep 2012 17:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jameson Graef Rollins <jrollins@finestructure.net>. (Sun, 30 Sep 2012 17:48:05 GMT) Full text and rfc822 format available.

Message #42 received at 680235@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@anarcat.ath.cx>
To: Micah Anderson <micah@riseup.net>, 680235@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#680235: debirf: wheezy minimal image segfaults during boot
Date: Sun, 30 Sep 2012 13:45:02 -0400
[Message part 1 (text/plain, inline)]
fixed 680235 0.33
tag 680235 - moreinfo
tag 680235 - unreproducible
tag 680235 + wheezy
thanks

Further information: the images built on wheezy with 0.33 work without a
flaw. No segfault, and init starts properly, and gives a functional
login prompt.

I recommend a freeze exception be requested for 0.33.

A.

-- 
Semantics is the gravity of abstraction.
[Message part 2 (application/pgp-signature, inline)]

Marked as fixed in versions debirf/0.33. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:48:09 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:48:10 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:48:10 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sun, 30 Sep 2012 17:48:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:00:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.